Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

schwern (1528)

schwern
  (email not shown publicly)
http://schwern.net/
AOL IM: MichaelSchwern (Add Buddy, Send Message)
Jabber: schwern@gmail.com

Schwern can destroy CPAN at his whim.

Journal of schwern (1528)

Wednesday September 05, 2007
06:27 AM

Test::Harness 2.99 on VMS is go!

[ #34353 ]

Well, one failure. I just dusted off my HP Testdrive OpenVMS account, restored my VMS knowledge from deep in my brain's tape archive, and loaded up Test::Harness 2.99_02.

The fixes were extremely minor, they mostly revolved around some hackish code in TAP::Parser which grovels through the $parser->switches() to pull out any libraries from -I switches. VMS has to quote its arguments and this happens inside switches() instead of later at the point where its turned into a command. So the quoting screwed up the groveling code which was looking for things like /^-I(.*)$/.

It's a lousy hack, and marked as such. Just illustrates how hacks cause problems in the damnest places.

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • This is great. I think it's time to start making a list of criteria we need to satisfy for a 3.0 release. I don't want to push it out too hastily, but we've had remarkably few problems with 2.99_01.